Foreman - Bug #12615

Bundler pack could not find compatible versions for gem "tins" on 1.9
11/26/2015 06:41 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Packaging
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2956
Description

Debian package builds on Wheezy and Precise (both Ruby 1.9.3) are failing to pack bundler files:

11:15:39 /usr/bin/bundle pack

11:15:40 Fetching gem metadata from https://rubygems.org/........
11:15:49 Fetching gem metadata from https://rubygems.org/..
11:15:51 Bundler could not find compatible versions for gem "tins":
11:15:51 In Gemfile:

11:15:51  rubocop (= 0.35.1) ruby depends on

11:15:51 tins (<= 1.6.0) ruby

11:15:51

11:15:51  term-ansicolor (>= 0) ruby depends on

11:15:51  tins (1.7.0)

Related issues:
Related to Foreman - Feature #12530: Upgrade rubocop to 0.35.1 Closed
Related to Foreman - Bug #12431: tins 1.7.0 requires Ruby 2.0 or higher Closed

11/19/2015
11/10/2015

Associated revisions

Revision eafe8e77 - 12/03/2015 09:45 AM - Dominic Cleal

fixes #12615 - remove unused term-ansicolor dependency

Under Ruby 1.9.3, “bundle pack’ is usually failing to resolve the tins
dependency between rubocop and term-ansicolor.

Remove the term-ansicolor dependency, which appears to be a development-

only dep of pry's coderay dep. coderay's syntax colour support works
fine without it at runtime.

History

#1 - 11/26/2015 06:41 AM - Dominic Cleal
- Related to Feature #12530: Upgrade rubocop to 0.35.1 added

#2 - 11/26/2015 06:42 AM - Dominic Cleal
- Related to Bug #12431: tins 1.7.0 requires Ruby 2.0 or higher added

#3 - 11/26/2015 08:18 AM - David Davis

Not sure how much it helps us but rubocop has since removed the tins requirement:

https://github.com/bbatsov/rubocop/commit/dfalfdb6a2ad2f3d0d7e97a481665f68d4097f17#diff-458bc38d82061cdac508dfb1be2b918bL 48

#4 - 12/01/2015 09:39 AM - Dominic Cleal

Unsure if this is an intermittent issue or something has changed subtly to prevent it, as the latest nightly build succeeded:
https://github.com/bbatsov/rubocop/commit/dfa1f9b6a2ad2f3d0d7e97a481665f68d4097f17#diff-458bc38d82061cdac508dfb1be2b918bL48

http:/ci.theforeman.org/job/packaging_build_deb_coreproject/arch=x86.label=debian,os=trusty/2632/consoleFull

I'll continue to monitor it.

#5 - 12/02/2015 10:05 AM - Dominic Cleal

Still failing sometimes: http://ci.theforeman.org/job/packaging_build_deb_coreproject/2635

#6 - 12/03/2015 03:56 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#7 - 12/03/2015 04:35 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2956 added

#8 - 12/03/2015 04:36 AM - Dominic Cleal

Running bundle pack --all under Ruby 1.9.3 without an existing Gemfile.lock seems to reproduce it for me locally.

#9 - 12/03/2015 10:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset eafe8e773b4aff 1c2431844bf .
